%define upstream_name    Module-Extract-Use
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Pull out the modules a module uses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PPI)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output)
BuildArch:  noarch

%description
Extract the names of the modules used in a file using a static analysis.
Since this module does not run code, it cannot find dynamic uses of
modules, such as 'eval "require $class"'.

* new

  Makes an object. The object doesn't do anything just yet, but you need it
  to call the methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-6.mga6
+ Revision: 1029995
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.40.0-5.mga6
+ Revision: 933122
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 750869
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.40.0-3.mga5
+ Revision: 727654
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-2.mga5
+ Revision: 685425
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 587346
- update to 1.04

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 512910
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 369793
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.30.0-1.mga3
+ Revision: 286286
- update to 1.03

* Wed Nov 09 2011 jquelin <jquelin> 1.20.0-1.mga2
+ Revision: 165798
- do not ship MYMETA
- update to 1.02

* Mon Apr 04 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 80374
- update to 1.01

* Thu Mar 24 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 76651
- update to 0.18

* Sun Jan 23 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 33956
- mageia rebuild
- cleaning spec file
- imported package perl-Module-Extract-Use

